<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--       
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Web Service Tasks: Quick Reference</title>
<link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>

<body>
<h2>Web Service Tasks: Quick Reference</h2>
<p> This topic describes common tasks you can perform with web services. For 
  more detailed information, click the links in the right column. </p>

<table border="1" cellpadding="5" cellspacing="0" summary="The left column lists the
   task name. The right column lists the steps to perform.">
  <tr valign="top"> 
    <th scope="col" align="left">To perform this task</th>
    <th scope="col" align="left">Follow these steps</th>
  </tr>
  <tr valign="top"> 
    <td> Create a project.</td>
    <td> 
	    <ol>
<li>Choose the <a href="../create/about_implement_ws.html">implementation form</a> for your web service.</li>
        <li>Choose File &gt; New 
          Project (Ctrl-Shift-N).</li>
        <li>Select the right <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/project/proj_templates.html">template</a> for your 
          project.&nbsp;</li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Add a JAR file to a project's classpath.</td>
    <td> 
      <ol>
        <li>In the Projects window, right-click the project node and choose Properties.</li>
        <li>Click <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_classpath.html">Libraries</a>.</li>
        <li>Click Add JAR and select the JAR file in the file chooser. 
          <p> If you also want to attach source code and Javadoc for the JAR file, 
            click <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_libraries.html">Add Library</a> instead. 
        </li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Set up compilation dependencies between projects.</td>
    <td> 
      <ol>
        <li>In the Projects window, right-click the project node and choose Properties.  
        </li>
        <li>Click Libraries.</li>
        <li>Click <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_dependencies.html">Add Project</a> 
          and select the project folder for the project that you want to add 
          to the project's classpath. </li>
      </ol>
    </td>
  </tr>
<tr valign="top"> 
    <td>Create a JAX-WS web service.</td>
    <td> 
	    <ol>		    
                <li>Create a Java Web project.</li>   
                <li>Right-click the project and choose New &gt; Web Service or New &gt; Web Service from WSDL.</li>
                <li>Complete the wizard. If you don't understand the UI, click Help.</li>
      </ol>
        <p>See <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                <param name="content" value="http://netbeans.org/kb/docs/websvc/jax-ws.html">
                <param name="text" value="<html><u>Getting Started with JAX-WS Web Services</u></html>">
                <param name="textFontSize" value="medium">
                <param name="textColor" value="blue">
            </object>.</p>
    </td>
  </tr>
  <tr valign="top">
      <td>Create a RESTful (JAX-RS/Jersey) web service.</td>
      <td><ol><li>Create a Java Web project.</li>
              <li>Right-click the project and choose New &gt; RESTful Web Service from Database or RESTful Web Service from Patterns. If you have an existing project with database entity classes, you can use the RESTful Web Service from Entities wizard, but only if you created JAXB annotations for the entity classes.</li></ol>
          <p>See <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                  <param name="content" value="http://netbeans.org/kb/docs/websvc/rest.html">
                  <param name="text" value="<html><u>Getting Started with RESTful Web Services</u></html>">
                  <param name="textFontSize" value="medium">
                  <param name="textColor" value="blue">
              </object>.</p>
      </td>
  </tr>
  <tr valign="top">
      <td>Create a JAX-WS Service Client</td>
      <td><ol>
              <li>Create a Java Web or Java project.</li>
              <li>Right-click the project and select New &gt; Web Service Client (or New &gt; Other &gt; Web Services &gt; Web Service Client). A wizard opens in which you point to a local project or the URL of a remote WSDL. After completing the wizard, your project has a Web Service References node.</li>
              <li>Expand the project's Web Service References node.</li>
              <li>Drag and drop the web service operation you want from the Web Services Node into your code, depending on the type of client you want to implement:
                  <ul><li>In a plain Java project, drag it into the <code>main</code> class.</li>
                      <li>In a Java Web application, either drag the operation into the JSP file...</li>
                      <li>...or add a servlet to the Java Web application and drag the operation into the servlet.</li>
                      
                  </ul></li>
                  <li>Write your implementation code.</li>
          </ol>
      <p>See <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                <param name="content" value="http://netbeans.org/kb/docs/websvc/jax-ws.html">
                <param name="text" value="<html><u>Getting Started with JAX-WS Web Services</u></html>">
                <param name="textFontSize" value="medium">
                <param name="textColor" value="blue">
            </object>.</p></td>
  </tr>
  <tr valign="top">
      <td>Create a Java client for a RESTful web service</td>
      <td><ol>
              <li>Create a Java, Java Web, or NetBeans Module project.</li>
              <li>Right-click the project node and select New &gt; Other &gt; Web Services &gt; RESTful Java Client. A wizard opens.</li>
              <li>Complete the wizard. You can choose either a RESTful service in a local NetBeans project or you can choose a service that is registered in the IDE.
                  <ul class="note"><li>You can register a remote web service with the IDE provided you have the URL of the service's WADL or WSDL file. Open the Services window, right-click the Web Services node and choose Add Web Service.</li></ul></li>
              <li>Code the graphical client, for example in Swing (for a Java application) or in a JSP/JSF file (for a Java Web application).</li>
          </ol>
          <p>See <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
                  <param name="content" value="http://netbeans.org/kb/docs/websvc/jersey-rcp-client.html">
                  <param name="text" value="<html><u>Creating RESTful Service Clients in NetBeans Modules</u></html>">
                  <param name="textFontSize" value="medium">
                  <param name="textColor" value="blue">
              </object>.</p></td>
  </tr>
  <tr valign="top"> 
    <td>Build a project.</td>
    <td> 
	    <ol>		    
		    <li>Make sure that your <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/compile/comp_classpath.html">resources are on the classpath</a>.</li>
        <li>Right-click any project node and choose Build.</li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Clean a project.</td>
    <td> 
      <ul>
        <li>Right-click the project node and choose Clean Project.</li>
      </ul>
    </td>
  </tr>

  <tr valign="top"> 
    <td>Run a project.</td>
    <td> 
      <ul>
        <li>Right-click any project node and choose Run 
  Project. For the Tomcat Web Server, you must <a href="nbdocs://org.netbeans.modules.tomcat5/org/netbeans/modules/tomcat5/docs/tomcat/tomcat_edit_tomcatuser.html">set the user name and password for the Tomcat Manager</a>.</li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Modify deployment settings.</td>
    <td>
	    <p>Do one or both of the following:</p>    
      <ul>
	      <li><a href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/webbrowser/default.html">Change the browser</a><br></li>
	      <li>Use the Run tab in the Project Properties dialog box to change the server.</li>
      </ul>
    </td>
  </tr>
<tr valign="top"> 
	<td>Test a web service.</td>
    <td> 
      <ul>
		    
        	    <li>To <a href="../expose/glassfish_tester-ws.html">test a JAX-WS service</a>, go to the Projects window, right-click the web service's node,
                        and select Test Web Service. You must be able to deploy the service to a running target server.</li>
                    <li>To <a href="../expose/test_rest.html">test a RESTful web service</a>, go to the Projects window, right-click the project's
                    node, and select Test RESTful Web Services. You must be able to deploy the service to a running target server. A browser
                    window opens in which you can test different HTTP methods against the web service's nodes.</li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Debug a project.</td>
    <td> 
      <ul>
        <li>Right-click any project and choose Debug.</li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Attach source code to libraries for debugging.</td>
    <td>
	    <p>Instead of debugging the source code of a library that you created in the IDE, 
	    debug the project where
	    you created the library. 
	    But, if you want to debug a library created outside the IDE, do the following: 
      <ol>
        <li>Choose Tools &gt; Library 
          Manager from the main window.</li>
        <li>If the JAR file is not already registered in the Ant Library Manager, 
          create a new library using the Add Library button.</li>
        <li>Select the library in the left panel of the Ant Library Manager.</li>
        <li>In the Classpath tab, click Add JAR/Folder and specify the location 
          of the JAR file containing the compiled class files. A library can contain 
          multiple JAR files.</li>
        <li>In the <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/debug/debug_source.html">Sources tab</a>, add the 
          folder or archive file containing the source code. </li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Add Javadoc to a project.</td>
    <td> 
      <ol>
        <li>Choose Tools &gt; Library 
          Manager from the main window.</li>
        <li>If the JAR file is not already registered in the Ant Library Manager, 
          register the JAR file as described above.</li>
        <li>In the <a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/javadoc/javadoc_add.html">Javadoc tab</a>, click 
          Add ZIP/Folder and specify the location of the Javadoc files.</li>
      </ol>
    </td>
  </tr>
  
</table>
<hr>
<small><a href="../../credits.html">Legal Notices</a></small> 
</body>
</html>
